Category: Other Estimated time: 0.00 hour

Target version: D4Science infrastructure upgrade to

4.10.0

  

Infrastructure: Production   

Description

As an action agreed in the last TCom [1] The address of the IC proxy should be more "user friendly" -> "registry.d4science.org" is the

selected name.

Moreover the protocol should be https. @lucio.lelii@isti.cnr.it do you envisage any problem with this?

[1]

https://support.d4science.org/projects/bluebridge/wiki/4th_TCom_Meeting_07-10_March_2017_-_Copenaghen_(Denmark)

Subtasks:

Task # 7552: request https certificate for registry.d4science.org Closed

History

#1 - Mar 16, 2017 03:09 PM - Pasquale Pagano

info.d4science.org is misleading. The name should be resourceregistry.d4science.org or simpler registry.d4science.org 

#2 - Mar 16, 2017 03:12 PM - Massimiliano Assante

I'm not sure why info.d4science.org would be misleading but i'm fine with registry.d4science.org 

#3 - Mar 16, 2017 03:13 PM - Massimiliano Assante

- Subject changed from Change hostname of IC proxy service from node79 to "info.d4science.org" and move it over https to Change hostname of IC

proxy service from node79 to "registry.d4science.org" and move it over https

#4 - Mar 16, 2017 03:17 PM - Lucio Lelii

also registry.d4science.org is misleading. ICProxy offer only access to the IC and also this name is already used for the node where the

registryService is deployed

#5 - Mar 16, 2017 03:20 PM - Massimiliano Assante

Lucio Lelii wrote:

also registry.d4science.org is misleading. ICProxy offer only access to the IC and also this name is already used for the node where the

registryService is deployed

 ok then registry is not possible 

#6 - Mar 16, 2017 03:21 PM - Massimiliano Assante

- Subject changed from Change hostname of IC proxy service from node79 to "registry.d4science.org" and move it over https to Change hostname of

IC proxy service from node79 to "info.d4science.org" and move it over https

I would go for info.d4science.org then @pasquale.pagano@isti.cnr.it 

#7 - Mar 16, 2017 03:24 PM - Pasquale Pagano

- Subject changed from Change hostname of IC proxy service from node79 to "info.d4science.org" and move it over https to Change hostname of IC

proxy service from node79 to "registry.d4science.org" and move it over https
Lucio Lelii wrote:

also registry.d4science.org is misleading. 

 misleading for a developer knowing the architecture of the Information System. We are targeting users and clients looking for resources. A registry is

exactly this. 

ICProxy offer only access to the IC and also this name is already used for the node where the registryService is deployed

 are you sure the name is already taken? we have registry-voname, e.g. registry-gcubeapps or registry-edison...., but not just registry.d4science.org.

#8 - Mar 16, 2017 03:33 PM - Lucio Lelii

Yes we have registry-voname and it would be misleading for the infrastructure manager, but it won't be my problem :) It's ok for me

#9 - Mar 16, 2017 03:39 PM - Massimiliano Assante

ok then "registry.d4science.org" is approved.

#10 - Mar 16, 2017 03:40 PM - Massimiliano Assante

- Description updated

#11 - Mar 16, 2017 05:37 PM - Tommaso Piccioli

- Status changed from New to In Progress

I am creating a new host 

registry.d4science.org

we will migrate the services on it as soon as we will have the SSL certificate (see #7552)

#12 - Mar 16, 2017 05:46 PM - Andrea Dell'Amico

We also need instructions to automate the ic_proxy installation. I see that was manually deployed both in dev and in production (node79 was created

as a demo server a lot of time ago, so it has been recycled)

#14 - Mar 17, 2017 12:36 PM - Massimiliano Assante

forgot to add the the registry node should be registered in the /d4science.research-infrastructures.eu

#15 - Mar 17, 2017 12:46 PM - Massimiliano Assante

@lucio.lelii@isti.cnr.it this service must be enabled on all the scopes ... is there a way just for this service to not use the token?

#17 - Mar 17, 2017 02:04 PM - Massimiliano Assante

<dependency>

  <groupId>org.gcube.information-system</groupId>

  <artifactId>icproxy</artifactId>

  <version>1.1.1-4.2.1-142273</version>

  <type>war</type>

</dependency>

 @lucio.lelii@isti.cnr.it  is this version (1.1.1-4.2.1-142273) the one with the correct serviceclass?

#18 - Mar 17, 2017 02:21 PM - Lucio Lelii

yes

#19 - Mar 17, 2017 02:23 PM - Lucio Lelii

to it reachable for every scope you must add the exclude tag on th egcube-app.xml file in WEB-INF :

<exclude handlers='request-validation'>/*</exclude>

#20 - Mar 17, 2017 02:26 PM - Massimiliano Assante

by applying such exclude the token won't be necessary anymore, is that correct?

#21 - Mar 22, 2017 02:44 PM - Massimiliano Assante
What's the status here? i think we only need to deploy the war with the exclude handler and we're good?

#22 - Mar 22, 2017 03:18 PM - Tommaso Piccioli

I am fixing the exclude tag  in ansible playbook 

#23 - Mar 22, 2017 04:08 PM - Tommaso Piccioli

- Status changed from In Progress to Feedback

It should be OK now, webapp icproxy deployed with the exclude tag

please test it and tell me if we can destroy node79.d4science.org

#25 - Mar 24, 2017 03:29 PM - Andrea Dell'Amico

The nginx reverse proxy configuration was missing. Can you try now?

#27 - Mar 24, 2017 03:41 PM - Andrea Dell'Amico

I see. But I'm not able to investigate further: I need someone able to verify the smartgears scopes and the icproxy version. I see that the latest from

the maven repository was installed but you specified a version. If they are different we will need to reinstall.

#28 - Mar 24, 2017 04:17 PM - Tommaso Piccioli

- Status changed from Feedback to In Progress

Please tell me how gcube-app.xml must be, if you fix it in the meantime the playbook corrects it back again.

#29 - Mar 24, 2017 05:08 PM - Massimiliano Assante

any news? Still does not work @lucio.lelii@isti.cnr.it please reply to @tommaso.piccioli@isti.cnr.it 

#30 - Mar 24, 2017 05:15 PM - Andrea Dell'Amico

It worked for me right now.

We still don't know what changes to the configuration are needed.

#31 - Mar 24, 2017 05:22 PM - Lucio Lelii

The exclude tag must be removed, I was wrong

#32 - Mar 24, 2017 05:24 PM - Andrea Dell'Amico

OK, so we do not need to touch gcube-app.xml at all, is it correct?

#33 - Mar 24, 2017 05:27 PM - Massimiliano Assante

the fix in gcube-app.xml is needed to enable the services on all the VREs, I guess @lucio.lelii@isti.cnr.it ?

#34 - Mar 24, 2017 05:30 PM - Massimiliano Assante

so after chatting with lucio it seems that we need the 4.4.0 version

#35 - Mar 24, 2017 05:34 PM - Lucio Lelii

@andrea.dellamico@isti.cnr.it yes.

@massimiliano.assante@isti.cnr.it the new common-smartgears-2.1.2 released in 4.4.0 solves the problem about scopes, but I have released it

today.

#36 - Mar 24, 2017 06:27 PM - Massimiliano Assante

- Status changed from In Progress to Closed

the thing seems working

#37 - Feb 19, 2018 11:40 AM - Roberto Cirillo

- Status changed from Closed to In Progress

- Target version changed from D4Science Infrastructure Upgrade to gCube 4.3.0 to D4Science infrastructure upgrade to 4.10.0

I've notice node79.d4science.org is still running under gCubeApps VO and with a different IP. Is there any reason for that? if not, please could you

shoutdown and dismiss this VM?
#38 - Feb 19, 2018 12:33 PM - Andrea Dell'Amico

Roberto Cirillo wrote:

I've notice node79.d4science.org is still running under gCubeApps VO and with a different IP. Is there any reason for that? if not, please could

you shoutdown and dismiss this VM?

 I don't know of any reason, I guess that after the ticket were close everybody forgot about that VM.

#39 - Feb 19, 2018 03:48 PM - Roberto Cirillo

I think so, too. I think we can dismiss it now. I've stopped the container on node79.d4science.org.

#40 - Feb 19, 2018 03:51 PM - Andrea Dell'Amico

- Status changed from In Progress to Feedback

I turned it off.

#41 - Feb 19, 2018 03:54 PM - Andrea Dell'Amico

And removed the nagios configuration.

#42 - Mar 01, 2018 09:51 PM - Andrea Dell'Amico

- Status changed from Feedback to Closed
